ALTER TABLE ConcDiversos ADD CdAutoret VARCHAR(4)
GO
ALTER TABLE Trn_ComFactura ADD EstadoApr INT DEFAULT(0) NOT NULL
GO
ALTER TABLE Zonas ADD CdSubCos VARCHAR(16)
GO
ALTER TABLE Trn_Entradas ADD VrRetFlete MONEY DEFAULT(0) NOT NULL,VrIcaFlete MONEY DEFAULT(0) NOT NULL
,CodTarRetFle VARCHAR(4),CodTarIcaFle VARCHAR(4),FletesCosto BIT DEFAULT(0)
GO
ALTER TABLE Trn_DevEnt ADD VrRetFlete MONEY DEFAULT(0) NOT NULL,VrIcaFlete MONEY DEFAULT(0) NOT NULL
,FletesCosto BIT DEFAULT(0)
GO
ALTER TABLE Trn_Opedido ADD TipoModifica VARCHAR(10)
GO
ALTER TABLE tm_Sobtasas ADD tmAczfCant DECIMAL(14,4) DEFAULT(0),tmAczfBase MONEY DEFAULT(0),tmAczfValor MONEY DEFAULT(0),tmAczfTarif DECIMAL(14,4) DEFAULT(0)
,tmAczfPrecio MONEY DEFAULT(0),tmGnzfCant DECIMAL(14,4) DEFAULT(0), tmGnzfBase MONEY DEFAULT(0),tmGnzfValor MONEY DEFAULT(0), tmGnzfTarif DECIMAL(14,4) DEFAULT(0)
,tmGnzfPrecio MONEY DEFAULT(0)
GO
ALTER TABLE Trn_SobDetalle ADD PorcBase DECIMAL(14,4) DEFAULT(0) NOT NULL
GO
ALTER TABLE ProdCombo ADD ExentoSob BIT DEFAULT(0) NOT NULL
GO
CREATE TABLE Plantillas ( 
IdPlantilla VARCHAR(4) NOT NULL,
DescPlantilla VARCHAR(150) NOT NULL,
CdTipCom VARCHAR(3),
Inactivo BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_Plantillas PRIMARY KEY CLUSTERED (IdPlantilla),
 CONSTRAINT CK_PlantillasDescPlantilla CHECK ((len([DescPlantilla]) > 0)),
 CONSTRAINT CK_PlantillasIdPlantilla CHECK ((len([IdPlantilla]) > 0)))
CREATE TABLE PlantillasCcto ( 
IdPlantilla VARCHAR(4) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdCCosto VARCHAR(16) NOT NULL,
DescCosto VARCHAR(50),
TarifaCc DECIMAL(14,4) DEFAULT (0) NOT NULL
 CONSTRAINT PK_PlantillasCcto PRIMARY KEY CLUSTERED (IdPlantilla,Item,IdCCosto),
 CONSTRAINT CK_PlantillasCctoIdCCosto CHECK ((len([IdCCosto]) > 0)),
 CONSTRAINT CK_PlantillasCctoIdPlantilla CHECK ((len([IdPlantilla]) > 0)))
CREATE TABLE PlantillasConc ( 
IdPlantilla VARCHAR(4) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Concepto VARCHAR(150) NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
TipoMov CHAR(1) DEFAULT ('D') NOT NULL,
Tarifa DECIMAL(14,4) DEFAULT (0) NOT NULL,
Requerido BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_PlantillasConc PRIMARY KEY CLUSTERED (IdPlantilla,Item),
 CONSTRAINT CK_PlantillasConcConcepto CHECK ((len([Concepto]) > 0)),
 CONSTRAINT CK_PlantillasConcIdCuenta CHECK ((len([IdCuenta]) > 0)),
 CONSTRAINT CK_PlantillasConcIdPlantilla CHECK ((len([IdPlantilla]) > 0)),
 CONSTRAINT CK_PlantillasConcTipoMov CHECK (([TipoMov] = 'C' or [TipoMov] = 'D')))
CREATE TABLE Trn_CompGastos ( 
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdPlantilla VARCHAR(4) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
TipFact VARCHAR(3),
Factura VARCHAR(15),
FecFactura SMALLDATETIME NOT NULL,
FecVence SMALLDATETIME,
VrTotal MONEY DEFAULT (0) NOT NULL,
Anulado BIT DEFAULT (0) NOT NULL,
FecDev SMALLDATETIME,
Observacion VARCHAR(250),
IdEstado VARCHAR(4) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_CompGastos PRIMARY KEY CLUSTERED (TipCom,Comprobante,IdCia),
 CONSTRAINT CK_Trn_CompGastosIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_Trn_CompGastosIdCiaCrea CHECK ((len([IdCiaCrea]) > 0)),
 CONSTRAINT CK_Trn_CompGastosIdEstado CHECK ((len([IdEstado]) > 0)),
 CONSTRAINT CK_Trn_CompGastosIdPlantilla CHECK ((len([IdPlantilla]) > 0)),
 CONSTRAINT CK_Trn_CompGastosIdTercero CHECK ((len([IdTercero]) > 0)),
 CONSTRAINT CK_Trn_CompGastosIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_Trn_CompGastosOrigenAdd CHECK ((len([OrigenAdd]) > 0)),
 CONSTRAINT CK_Trn_CompGastosTipCom CHECK ((len([TipCom]) > 0)))
CREATE TABLE Emp_Centros ( 
NContrato INT DEFAULT (0) NOT NULL,
IdCCosto VARCHAR(16) NOT NULL,
Tarifa DECIMAL(14,4) DEFAULT (0) NOT NULL
 CONSTRAINT PK_Emp_Centros PRIMARY KEY CLUSTERED (NContrato,IdCCosto),
 CONSTRAINT CK_Emp_CentrosIdCCosto CHECK ((len([IdCCosto]) > 0)))
GO
ALTER TABLE PlantillasCcto ADD 
 CONSTRAINT FK_PlantillasCcto_CentroCosto FOREIGN KEY (IdCCosto) REFERENCES [dbo].[CentroCosto] (IdCCosto),
 CONSTRAINT FK_PlantillasCcto_PlantillasConc FOREIGN KEY (IdPlantilla,Item) REFERENCES [dbo].[PlantillasConc] (IdPlantilla,Item)
ALTER TABLE PlantillasConc ADD 
 CONSTRAINT FK_PlantillasConc_Plantillas FOREIGN KEY (IdPlantilla) REFERENCES [dbo].[Plantillas] (IdPlantilla),
 CONSTRAINT FK_PlantillasConc_Puc FOREIGN KEY (IdCuenta) REFERENCES [dbo].[Puc] (IdCuenta)
ALTER TABLE Trn_CompGastos ADD 
 CONSTRAINT FK_Trn_CompGastos_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_CompGastos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_CompGastos_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_CompGastos_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_CompGastos_Plantillas FOREIGN KEY (IdPlantilla) REFERENCES [dbo].[Plantillas] (IdPlantilla),
 CONSTRAINT FK_Trn_CompGastos_Terceros FOREIGN KEY (IdTercero) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_CompGastos_TiposCom FOREIGN KEY (TipCom) REFERENCES [dbo].[TiposCom] (IdCom)
 CREATE NONCLUSTERED INDEX IX_Trn_CompGastosFecha ON Trn_CompGastos(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_CompGastosIdPlantilla ON Trn_CompGastos(IdPlantilla)
 CREATE NONCLUSTERED INDEX IX_Trn_CompGastosIdTercero ON Trn_CompGastos(IdTercero)
ALTER TABLE Emp_Centros ADD 
 CONSTRAINT FK_Emp_Centros_CentroCosto FOREIGN KEY (IdCCosto) REFERENCES [dbo].[CentroCosto] (IdCCosto),
 CONSTRAINT FK_Emp_Centros_Emp_Contrato FOREIGN KEY (NContrato) REFERENCES [dbo].[Emp_Contrato] (NContrato)